package com.ai.android.OpenGL;

import com.ai.android.OpenGL.SDK15.AnimatedTriangleActivity;
import com.ai.android.OpenGL.SDK15.MultiViewTestHarnessActivity;
import com.ai.android.OpenGL.SDK15.OpenGL15TestHarnessActivity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class HelloWorld extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) 
    {
    	//call the parent to attach any system level menus
    	super.onCreateOptionsMenu(menu);
 	   	MenuInflater inflater = getMenuInflater(); //from activity
 	   	inflater.inflate(R.menu.main_menu, menu);
    	return true;
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) 
    {
    	if (item.getItemId() == R.id.mid_OpenGL10_SimpleTriangle)
    	{
    		this.invoke10SimpleTriangle();
        	return true;
    	}
    	this.invokeMultiView(item.getItemId());
    	return true;
    }
    private void invoke10SimpleTriangle()
    {
		Intent intent = new Intent(this,OpenGLTestHarnessActivity.class);
		startActivity(intent);
    }
    private void invoke15SimpleTriangle()
    {
		Intent intent = new Intent(this,OpenGL15TestHarnessActivity.class);
		startActivity(intent);
    }
    private void invoke15AnimatedTriangle()
    {
		Intent intent = new Intent(this,AnimatedTriangleActivity.class);
		startActivity(intent);
    }
    
    private void invokeMultiView(int mid)
    {
		Intent intent = new Intent(this,MultiViewTestHarnessActivity.class);
		intent.putExtra("com.ai.menuid", mid);
		startActivity(intent);
    }
}